
Foreman - Refactor #19706

Don't treat DHCP leases as conflicts

05/30/2017 06:47 AM - Lukas Zapletal

Status: Closed   

Priority: Normal   

Assignee: Lukas Zapletal   

Category: DHCP   

Target version: 1.15.5   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/4555

  

Description

Our previous code that should ignore leases was based on existence of hostnames, it used to work but no longer works in recent

releases. In smart-proxy, we added explicit flag to indicate if a DHCP record is a reservation or a lease: theforeman/smart-proxy#532

This patch leverages this and removes the old hostname "hack" to proper test if the existing record is a lease or not. Conflict is not

thrown in that case.

Related issues:

Related to Smart Proxy - Feature #19666: Return record type for DHCP recorts Closed 05/25/2017

Related to Foreman - Bug #21120: Multiple DHCP orchestration is no longer pos... Closed 09/27/2017

Associated revisions

Revision a47c444d - 10/06/2017 06:36 AM - Lukas Zapletal

Fixes #19706 - don't treat DHCP leases as conflicts

Revision f5aaaae0 - 10/06/2017 10:37 AM - Lukas Zapletal

Fixes #19706 - don't treat DHCP leases as conflicts

Revision 58390d0b - 10/09/2017 01:05 PM - Lukas Zapletal

Fixes #19706 - don't treat DHCP leases as conflicts

History

#1 - 05/30/2017 06:50 AM - Lukas Zapletal

- Pull request https://github.com/theforeman/foreman/pull/4555 added

#2 - 05/30/2017 06:56 AM - Dominic Cleal

- Related to Feature #19666: Return record type for DHCP recorts added

#3 - 09/27/2017 06:37 AM - Lukas Zapletal

- Related to Bug #21120: Multiple DHCP orchestration is no longer possible with PXELoader added

#4 - 10/03/2017 03:34 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Lukas Zapletal

#5 - 10/06/2017 07:11 AM - Lukas Zapletal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset a47c444df2f42420c19ca5725f579309b17342b9.
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/a47c444df2f42420c19ca5725f579309b17342b9


#6 - 10/10/2017 08:16 AM - Lukas Zapletal

- translation missing: en.field_release set to 311

Merged into 1.15.5 branch as well:

commit f5aaaae0a4a8282017985e2421b3198d95e56dc0

Refs: {dlobatog/1.15-stable}, 1.15.4-1-gf5aaaae0a

Author:     Lukáš Zapletal <lzap@redhat.com>

AuthorDate: Fri Oct 6 12:36:10 2017 +0200

Commit:     Daniel Lobato Garcia <me@daniellobato.me>

CommitDate: Fri Oct 6 12:37:05 2017 +0200
